<?php

if ( ! function_exists( 'oaza_mikado_register_blog_masonry_template_file' ) ) {
	/**
	 * Function that register blog masonry template
	 */
	function oaza_mikado_register_blog_masonry_template_file( $templates ) {
		$templates['blog-masonry'] = esc_html__( 'Blog: Masonry', 'oaza' );
		
		return $templates;
	}
	
	add_filter( 'oaza_mikado_filter_register_blog_templates', 'oaza_mikado_register_blog_masonry_template_file' );
}

if ( ! function_exists( 'oaza_mikado_set_blog_masonry_type_global_option' ) ) {
	/**
	 * Function that set blog list type value for global blog option map
	 */
	function oaza_mikado_set_blog_masonry_type_global_option( $options ) {
		$options['masonry'] = esc_html__( 'Blog: Masonry', 'oaza' );
		
		return $options;
	}
	
	add_filter( 'oaza_mikado_filter_blog_list_type_global_option', 'oaza_mikado_set_blog_masonry_type_global_option' );
}